Bug 10465 - Reference to fields 780 and 785 in UNIMARC XSLT should be removed
Summary: Reference to fields 780 and 785 in UNIMARC XSLT should be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 11246
  Show dependency treegraph
 
Reported: 2013-06-13 17:11 UTC by mathieu saby
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10465 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files (9.17 KB, patch)
2013-09-08 18:02 UTC, mathieu saby
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10465 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files (9.28 KB, patch)
2013-09-17 21:50 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10465 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files (9.42 KB, patch)
2013-09-22 09:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-06-13 17:11:28 UTC
There is some code supposed to manage 780 and 785 field in unimarc xslt files for opac and maybe staff interface.
These fields does not exist in unimarc, so the code must be removed.

M. Saby
Comment 1 mathieu saby 2013-09-08 18:02:20 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-17 21:50:55 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-22 09:20:56 UTC
Created attachment 21310 [details] [review]
[PASSED QA] Bug 10465 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files

UNIMARCslim2OPACDetail.xsl and UNIMARCslim2intranetDetail.xsl contains references to 780 and 785 fields, that exist in Marc21 but not in UNIMARC.
This patch remove the code related to 780 and 785 fields. No effect should be visible.

To test : in a UNIMARC Koha
1. be sure that OPACXSLTDetailsDisplay , OPACXSLTResultsDisplay , XSLTDetailsDisplay and XSLTResultsDisplay sysprefs are set to "default"
2. apply the patch
3. search some records in staff interface : the list view and the detail view must be exacty the same as before you apply the patch.
4. search some records in OPAC : the list view and the detail view must be exacty the same as before you apply the patch.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: No diplay change, no koha-qa errors.
Removes what can't be displayed.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Checked detail pages in OPAC and intranet still display correctly
and without errors.
Comment 4 Galen Charlton 2013-09-23 16:28:13 UTC
Pushed to master.  Thanks, Mathieu!

I note that it looks like the equivalent of the MARC21 780/785 in UNIMARC is a bunch of 4XX fields, for anybody who wants to implement preceding/succeeding links correctly in the UNIMARC XSLT templates.
Comment 5 mathieu saby 2013-09-23 20:44:27 UTC
Thanks. I thought it was made but I will test it. We use our own XSLT so we did not noticed the bugs of the standard one...

Mathieu
Comment 6 mathieu saby 2013-10-19 14:12:55 UTC
Same changes must be made in new bootstrap opac theme.
Mathieu
Comment 7 Tomás Cohen Arazi 2013-11-13 16:24:51 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Mathieu!
Comment 8 mathieu saby 2013-11-13 17:16:02 UTC
And I need to port it to boostrap theme. Homework for this evening...

Mathieu
Comment 9 mathieu saby 2013-11-13 19:03:33 UTC
done : see bug 11246